Upgrade Kopano core + webapp not find php-mapi

Hi,
I have update my server today, I have problem with webapp.
When I send “apt install kopano-webapp” I have this errorr

‘Php7-mapi not found’
When I check my php-mapi I have this version 8.6.2-1

I’m running on Debian sid

Have you an idea ?

Best regards

@ivamp said in Upgrade Kopano core + webapp not find php-mapi:

I have this version 8.6.2-1
I’m running on Debian sid

As far as I can see we have not published any packages for 8.6.2 for Debian Testing. If you have any problems with these packages I’d recommend contacting the maintainers.

Hi,
I have try to another server in this time Debian 9
Just apt-get update/upgrade
I have same version of php-mapi (8.6.2-1) and same problem.
This package come with Kopano Depot
https://download.kopano.io/supported/core:/final/Debian_9.0/amd64/

I have try https://kb.kopano.io/display/TS/PHP+mapi+extension+not+found
and try manually create kopano.ini (in php folder)

Best regards

This post is deleted!

Hum
When I check with php -i
I have
/usr/lib/libkcinetmapi.so.0 Version ‘KC_8.6.1’ not found (required by /usr/lib/php/20151012/mapi.so)
After that I have update/upgrade again and this package was available and fix my problem :)

So you updated from one version to another and the issue is now gone?

Hi,

I check error with that:
php -i | fgrep mapi -A 4
apt-get install libkcinetmapi
php -i | grep mapi -A 4
apt-get update
apt-get upgrade
php -i | grep mapi -A 4

I have install libkcinetmap, after that it’s work.
Best regards